:root {
  --bs-primary: #1e3a8a;
  --bs-secondary: #e5e7eb;
  --bs-info: #06b6d4;
  --bs-dark: #111827;
  --bs-light: #f8fafc;
}

@media (max-width: 992px) {
  .DetailsContainer {
    padding-left: 0px;
    padding-right: 0px;
  }
}

@media (max-width: 768px) {
  * {
    font-size: 1rem;
  }
}

@media (max-width: 576px) {
  * {
    font-size: 1rem;
  }
}

body{
  background-color: #7eb1ff1f;
}

.companyLogoSearch{
  height: 100px;
  width: 100px;
  border: 2px solid black;
  border-radius: 50%;
}

.PriceBasedSearch{
  height: 50px;
  width: 100px;
  border: 2px solid black;
  border-radius: 5px;
}

.defaultProfile{
  border-radius: 50%;
  width: 200px;
  object-fit: cover;
}

.aboutSub{
  color: rgba(8, 11, 85, 0.408);
}

.profileLinks{
  right: 18px;
  top: 100px;
  background-color: black;
  position: relative;
}

.footerLinks ul {
  list-style: none;   /* removes the dots */
  padding: 0;         /* removes left indentation */
  margin: 0;          /* removes default spacing */
}

.footerLinks ul li {
  margin-bottom: 6px; /* optional: space between items */
}

.footerLinks ul li a {
  text-decoration: none;  /* remove underline */
  color: #9fccff;        /* use parent text color */
}

.footerLinks ul li a:hover {
  text-decoration: underline; /* underline on hover */
  /* color: #757bff; */
}

.adminPanelHeader{
  font-size: 24px;
    background: #00326a;
    color: white;
    border-radius: 6px 6px 0px 0px;
}

.adminSidebar{
  border-right: #00326a;
}

.adminSidebarOptions:hover{
background: #00326abb;
  color: white;
  /* border: 1px solid #00326a; */
  border-radius: 5px;
  height: 2.5rem;
  transition: 0.3s;
}

.adminSidebarBtn{
  /* background: #000000; */
  color: black;
  /* border: 1px solid white; */
  /* border-radius: 0px 50px 50px 0px; */
  height: 2.5rem;
}

.adminSidebarBtn:hover{
  background: #00326abb;
  color: white;
  /* border: 1px solid #00326a; */
  border-radius: 5px;
  height: 2.5rem;
  transition: 0.3s;
}

.adminSidebarBtn.active {
  background: #00326a;
  color: white;
  border: 1px solid white;
  border-radius: 5px;
  height: 2.5rem;
}

.nav-link:hover {
  /* background-color: #00326a; */
  border-bottom: 1px solid white;
  /* opacity: 0.8; */
}

.selectedNavItem{
  border-bottom: 1px solid white;
}

a.search-link p {
  color: white;
  text-decoration: none; /* no underline by default */
  transition: text-decoration 0.2s;
}

a.search-link:hover p {
  text-decoration: underline; /* underline appears on hover */
  text-decoration-color: rgb(
    255,
    255,
    255
  ); /* optional: make it visible on black bg */
}

.search-item a {
  padding: 0px;
}

#resultBox {
  position: absolute; /* so it overlays properly */
  width: 100%; /* full width of input or container */
  background: #fff;
  z-index: 1000; /* appear on top of other elements */
  border: 1px solid #ccc;
  max-height: 200px; /* scroll if too many results */
  overflow-y: auto;
  display: none; /* initially hidden */
}

.searchBarLargeBtn {
  height: 3rem;
  width: 10rem;
  border-radius: 999px !important;
  /* background-color: red; */
}

.searchBarLargeBtn:active {
  background-color: rgb(0, 0, 0) !important;
  transition: 0.1s;
}

section,
body {
  font-family: "Roboto Condensed", sans-serif;
}

.defaultButton {
  background-color: #df0a84;
  border: 0px;
}

.defaultButton:hover {
  background-color: #df0a83e2;
  border: 0px;
}

.defaultButtonForm {
  background-color: #00326a;
  color: white;
  border: 0px;
}

.defaultButtonForm:hover {
  background-color: #000000;
  color: white;
  border: 0px;
}

.defaultButtonForm:active {
  background-color: #0072f5;
  color: black;
  border: 0px;
}

.specHeadColor {
  color: #005fcb;
}

/*Making Nav Ham Icon White*/
.navbar-toggler {
  border: 0;
  /* removes border completely */
}

.navbar-toggler-icon {
  background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 30 30' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='rgba(255,255,255,1)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 7h22M4 15h22M4 23h22'/%3E%3C/svg%3E");
}

/*Making Nav Ham Icon White END*/

/* Prevent Bootstrap from wrapping labels */
.text-nowrap {
  white-space: nowrap !important;
}

/* Section cards */

.greyInfo {
  color: #8a8a8a;
}

.genericInfoNote {
  display: none;
}

a {
  text-decoration: none;
}

input {
  background-color: transparent;
  /* transform: scaleX(0.2); */
  transition: transform 0.4s;
}

input:hover {
  border: 1px solid #3b3b3bff;
  background-color: #e9e9e9ff;
  transition: 0.4s;
}

input:focus {
  border: 1px solid black !important;
  outline: none !important;
  box-shadow: none !important;
  /* transform:  scaleX(1.0); */
}

#resultBox {
  background-color: white;
  border: 1px solid gray;
}

#resultBox div {
  padding: 10px 5px;
}

#resultBox div:hover {
  background-color: gray;
}

#resultBox a {
  text-decoration: none;
  color: black;
}

#imgBox {
  width: 200px;
  height: 200px;
  border: 1px solid grey;
  border-radius: 5px;
}

.forBG {
  background: linear-gradient(180deg, #00326a, #0072f5);
}

.productImage {
  transform: scale(1);
  transition: 0.4s;
}

.productImage:hover {
  transform: scale(1.2);
  transition: 0.4s;
}

.showElement {
  padding-top: 20px;
  padding-bottom: 10px;
  animation: cardHoverReverse 1.5s ease-out;
  color: #000000ff;
}

.showElement:hover {
  animation: cardHover 0.4s forwards;
  color: #000000ff;
}

.usageIndicators {
  opacity: 0.5;
}

@keyframes cardHover {
  0% {
    box-shadow: 0px -0px 0px inset #c1c1c1ff;
  }

  100% {
    box-shadow: 0px -200px 0px inset #c1c1c1ff;
  }
}

@keyframes cardHoverReverse {
  0% {
    box-shadow: 0px -200px 0px inset #c1c1c1ff;
  }

  100% {
    box-shadow: 0px 0px 0px inset #c1c1c1ff;
  }
}

.extraStats {
  color: #6d6d6dff;
}

.buyLinkEntry a {
  text-decoration: none;
  color: white;
  background-color: #2563eb;
  transition: 0.4s;
  margin-top: 5px;
  margin-bottom: 5px;
}

.buyLinkEntry a:hover {
  text-decoration: none;
  color: white;
  background-color: black;
  transition: background-color 0.4s;
}

/*SearchBar Large*/
.searchBarLargeContainer {
  height: 4rem;
  border-radius: 4rem !important;
  border: 1px solid #d5d5d5ff;
  background-color: rgb(255, 255, 255);
  transition: background-color 0.4s;
  /* width: 80vw; */
}

.searchBarLargeContainer:hover {
  background-color: #f1f1f1ff;
  /* transform: scaleX(0.2); */
  transition: background-color 0.4s;
  border: 0px;
  border: 1px solid #d5d5d5ff;
}

.searchBarLargeContainer input {
  background-color: transparent !important;
  border: 0px !important;
  /* transform: scaleX(0.2); */
  /* transition: transform 0.4s; */
  border: 0px;
}

.searchBarLargeContainer input:hover {
  border: 0px;
  /* border: 1px solid #3b3b3bff;
                background-color: #e9e9e9ff;
                transition: 0.4s; */
}

.searchBarLargeContainer input:focus {
  border: 0px !important;
  outline: none !important;
  box-shadow: none !important;
}

/* Move this OUTSIDE */
.searchBarLargeContainer:focus-within {
  background-color: #f1f1f1ff !important;
}

.searchBarLargeContainer .btn {
  border-radius: 20px;
}

.searchBarLargeContainer .searchIcon {
  position: absolute;
  top: 121px;
}

#resultBarLarge {
  background-color: white;
  /* border: 1px solid gray; */
}

#resultBarLarge div {
  padding: 10px 5px;
}

#resultBarLarge div:hover {
  background-color: gray;
}

#resultBarLarge a {
  text-decoration: none;
  color: black;
  padding: 20px;
}

.commentName {
  font-weight: 700;
}

.commentDateTime {
  /* font-size: small; */
  font-weight: 300;
}

.commentReplyBtn:hover{
  background-color: #0dcaf047;
  border-radius: 20px;

}

#goTopBtn{
  display: none;
}
.material-symbols-outlined {
  font-variation-settings:
  'FILL' 0,
  'wght' 400,
  'GRAD' 0,
  'opsz' 24
}

a.disabled {
  pointer-events: none;   /* prevent clicking */
  opacity: 0.5;           /* visually dimmed */
  cursor: default;        /* normal cursor */
  text-decoration: none;  /* optional, remove underline */
  color: black;
}


/* Remove blue highlight / focus glow */
.accordion-button:focus,
.accordion-button:focus-visible,
.accordion-button:active,
.accordion-button:not(.collapsed) {
    box-shadow: none !important;   /* remove shadow from Bootstrap */
    outline: none !important;      /* remove browser focus outline */
    background-color: #fff !important;  /* keep background white */
    color: #000 !important;        /* keep text black */
}




